20250805
([url=https://co.99.com/guide/event/2021/conquersilverclub][color=#89dbe0][size=18]Download & Play Conquer Poker Mobile[/size][/color][/url])
Text=Conquer Online Patch Notes (Aug. 5)
1. Aug. 05 - Aug. 25: Here comes the sale! New garments, hairstyles, and more available now!
2. Aug. 05 - Aug. 11: The credit rebate (for the Rebate Store) is underway! Participate to get Senior Treasure Tokens, Mythsoul Boxes, and abundant rewards.